Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class CompletionStatus

    java.lang.Object
      |
      +--org.omg.CORBA.CompletionStatus

All Implemented Interfaces:
  IDLEntity, Serializable

public final class CompletionStatus
extends Object
implements IDLEntity

An object that indicates whether a method had completed running when a `SystemException` was thrown.

The class `CompletionStatus` contains three `CompletionStatus` instances, which are constants representing each possible completion status: `COMPLETED_MAYBE`, `COMPLETED_NO`, and `COMPLETED_YES`. It also contains three `int` members, each a constant corresponding to one of the `CompletionStatus` instances. These `int` members make it possible to use a `switch` statement.

The class also contains two methods:

- `public int value()` -- which accesses the `value` field of a `CompletionStatus` object
- `public static CompletionStatus from_int(int i)` -- for creating an instance from one of the `int` members

Since:
  JDK1.2
See Also:
  `SystemException`

Field Summary
`static int` | `_COMPLETED_MAYBE` The constant indicating that a method completed running before a `SystemException` was thrown.
`static int` | `_COMPLETED_NO` The constant indicating that a method completed running before a `SystemException` was thrown.
`static int` | `_COMPLETED_YES` The constant indicating that a method completed running before a `SystemException` was thrown.
`static CompletionStatus` | `COMPLETED_MAYBE` An instance of `CompletionStatus` initialized with the constant `_COMPLETED_MAYBE`.
`static CompletionStatus` | `COMPLETED_NO` An instance of `CompletionStatus` initialized with the constant `_COMPLETED_NO`.
`static CompletionStatus` | `COMPLETED_YES` An instance of `CompletionStatus` initialized with the constant `_COMPLETED_YES`.

Method Summary
`static CompletionStatus` | `from_int(int i)` Creates a `CompletionStatus` object from the given `int`.
`int` | `value()` Retrieves the value of this `CompletionStatus` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _COMPLETED_YES

    public static final int _COMPLETED_YES

  The constant indicating that a method completed running before a `SystemException` was thrown.

  See Also:
    Constant Field Values

### _COMPLETED_NO

    public static final int _COMPLETED_NO

  The constant indicating that a method completed running before a `SystemException` was thrown.

  See Also:
    Constant Field Values

### _COMPLETED_MAYBE

    public static final int _COMPLETED_MAYBE

  The constant indicating that a method completed running before a `SystemException` was thrown.

  See Also:
    Constant Field Values

### COMPLETED_YES

    public static final CompletionStatus COMPLETED_YES

  An instance of `CompletionStatus` initialized with the constant `_COMPLETED_YES`.

### COMPLETED_NO

    public static final CompletionStatus COMPLETED_NO

  An instance of `CompletionStatus` initialized with the constant `_COMPLETED_NO`.

### COMPLETED_MAYBE

    public static final CompletionStatus COMPLETED_MAYBE

  An instance of `CompletionStatus` initialized with the constant `_COMPLETED_MAYBE`.

Method Detail

### value

    public int value()

  Retrieves the value of this `CompletionStatus` object.

  Returns:
    one of the possible `CompletionStatus` values: `_COMPLETED_YES`, `_COMPLETED_NO`, or `_COMPLETED_MAYBE`

### from_int

    public static CompletionStatus from_int(int i)

  Creates a `CompletionStatus` object from the given `int`.

  Parameters:
    `i` - one of `_COMPLETED_YES`, `_COMPLETED_NO`, or `_COMPLETED_MAYBE`
  Returns:
    one of the possible `CompletionStatus` objects with values: `_COMPLETED_YES`, `_COMPLETED_NO`, or `_COMPLETED_MAYBE`
  Throws:
    `BAD_PARAM` - if the argument given is not one of the `int` constants defined in `CompletionStatus`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.